# -*- coding: utf-8 -*-
"""
fichier de configuration pour créole

"""
from os.path import join, isfile, abspath, dirname
from pathlib import Path

eoleroot = dirname(abspath(join(__file__, '..', '..')))

# chemin du répertoire source des fichiers templates
patch_dir = join(eoleroot, 'patch')

# repertoire de la dtd
dtddir = '/usr/share/rougail'
if isfile(join(eoleroot, 'data/rougail.dtd')):
    dtdfilename = join(eoleroot, 'data/rougail.dtd')
elif isfile('../rougail/data/rougail.dtd'):
    dtdfilename = '../rougail/data/rougail.dtd'
else:
    dtdfilename = join(dtddir, 'rougail.dtd')
