#!/usr/bin/env python
# -*- coding: utf-8 -*-

from setuptools import setup
import os, glob

BASE_DIR = 'share/'
DOC_DIR =  os.path.join(BASE_DIR, 'doc/creole')

# documentation
doc = [(DOC_DIR, glob.glob('doc/*.html') + glob.glob('doc/*.txt')),
       (os.path.join(DOC_DIR, 'api'), glob.glob('doc/api/*.html') + glob.glob('doc/api/*.css')),
]

setup(
    author='Équipe EOLE',
    author_email='eole@ac-dijon.fr',
    name='creole',
    version='2.7.0',
    description='Eole configuration tools',
    url='http://www.eole.orion.education.fr',
    packages=['creole', 'creole.lint', 'creole.valid'],
    data_files=doc
)
